package com.ar.sketch.paint.drawing.adapter;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.ar.sketch.paint.drawing.act.PagePreview;
import com.ar.sketch.paint.drawing.databinding.ListListBinding;
import com.ar.sketch.paint.drawing.tool.MyArApp;
import com.ar.sketch.paint.drawing.tool.Utils;

import java.util.List;

public class RecyclerList extends RecyclerView.Adapter<RecyclerList.HomeVH> {


    private Context mCon;
    private List<String> data;



    public RecyclerList(Context mCon, List<String> bitmapList) {
        this.mCon = mCon;
        data = bitmapList;
    }



    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {

        return new HomeVH( ListListBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {

        String name = data.get(position);
        Bitmap bitmap = Utils.loadImageFromAssets(mCon, name);
        holder.binding.imPreview.setImageBitmap(bitmap);

        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, PagePreview.class);
                intent.putExtra(MyArApp.Key_Camera, name);
                mCon.startActivity(intent);
            }
        });


    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ListListBinding binding;




        public HomeVH(@NonNull ListListBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
